AnimSprite=Core.class(Sprite)

-- Init sprites
function AnimSprite:init()
	local pack=TexturePack.new("TextSprites.txt","Images/TextSprites.png")
	
	self.anim=
	{
		Bitmap.new(pack:getTextureRegion("01Vintage.png")),
		Bitmap.new(pack:getTextureRegion("02Electro.png")),
		Bitmap.new(pack:getTextureRegion("03Industrial.png")),
		Bitmap.new(pack:getTextureRegion("04Studio.png")),
		Bitmap.new(pack:getTextureRegion("05Fun.png")),
	}

	self:setPosition(215,37) -- Init sprite x,y pos.
	Frame=1 -- Init sprite frame.
	self.frame=Frame
	self:addChild(self.anim[Frame])
	self.nframes=#self.anim
	self.subframe=0

	self:addEventListener(Event.ENTER_FRAME,self.onEnterFrame,self) -- Trigger sprites.
end

function AnimSprite:onEnterFrame()
end